Bug 81286 - When selecting (highlighting) cells with numbers, SUM/AVERAGE/... in statusbar is calculated only after mouse button release
Summary: When selecting (highlighting) cells with numbers, SUM/AVERAGE/... in statusba...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other All
: medium normal
Assignee: Deena Francis
URL:
Whiteboard: target:4.5.0 target:4.4.0.2
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-07-13 09:26 UTC by Mikeyy - L10n HR
Modified: 2015-12-17 08:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikeyy - L10n HR 2014-07-13 09:26:31 UTC
Windows 7 64 bit
LibreOffice 4.2.5.2
Regression, working properly in 4.1.6

Use any spreadsheet with numbers.
Highlight any number of cells which contain numbers, for example A1:C5, but DON'T release mouse button.

Expected result:
In status bar you should see SUM of all cells you selected (or AVERAGE or whatever you set there).

Actual result:
Only first cell number is shown.
SUM is shown only after you release mouse button.

No test file is needed for this, just enter any range of numbers in table.
Comment 1 ign_christian 2014-07-13 10:06:42 UTC
Confirm reproduced with 4.3.0.2, 4.2.6.1, 4.2.4.2 in Ubuntu 12.04 x86

Not reproduced with 4.2.0.0.beta1, 4.1.6.2
Comment 2 raal 2014-08-07 18:33:50 UTC
a67b874d60de1f1a44bef57a53a7b8a84db0ba58 is the first bad commit
commit a67b874d60de1f1a44bef57a53a7b8a84db0ba58
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Tue Dec 11 03:32:02 2012 +0000

    source-hash-19f4ebd8a54da0ae03b9cc8481613e5cd20ee1e7
    
    commit 19f4ebd8a54da0ae03b9cc8481613e5cd20ee1e7
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Mon Nov 12 21:17:37 2012 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Tue Nov 13 09:49:18 2012 +0000
    
        use SetControlForeground instead of SetTextColor
    
        because that's persistent across unrelated style
        changes otherwise setting e.g. alignment will
        reset the color to default black
    
        Change-Id: I2b975c3914a59a93e54d72aa0975a066b5edf533

:100644 100644 6d85145f7ba0ead31c84e60a4f7ea59af07f4e83 29d96b0de6d16a73b1e9ff2ca8745b115e40d115 M	autogen.log
:100644 100644 5d2105bc5db0d97452b3f213d028567f7ef47f74 fc50744f3abcdc37e7e8ae63b5ee73f25bb1c6e9 M	ccache.log
:100644 100644 cb3471f771599c0198309b766b1119b4272134de 28c61ffba7e7adab533f7ff9a4f4f595e4439822 M	commitmsg
:100644 100644 ea177fc38ffa1376ecf167db31aadeae1ee62b34 144992024292b77d35ec3f94e2b3fd309f9d27f1 M	dev-install.log
:100644 100644 34bcd3ceb8be50720147e089fde247e8d90868b0 ae2cc20a3e3477e7b1845778dd570bf277812953 M	make.log
:040000 040000 21c1e97d1421f61bbbeb0734daeac98e43fe52a1 2c1a78c87a5e84fe1c2bafb167b87e7c85aed252 M	opt


 git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# bad: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect bad 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# good: [51b63dca7427db64929ae1885d7cf1cc7eb0ba28] source-hash-806d18ae7b8c241fe90e49d3d370306769c50a10
git bisect good 51b63dca7427db64929ae1885d7cf1cc7eb0ba28
# bad: [d65a58c31c8da044ef66ae4517fa2fe74cec0019] source-hash-2e053cf5ea4d93a2e1845e795a9c7fe1e08c84af
git bisect bad d65a58c31c8da044ef66ae4517fa2fe74cec0019
# bad: [79e02001f27d33b3b478324ab6fba5683413b4d9] source-hash-b6c016da23d309b4ac7d154bc33a22397974ed73
git bisect bad 79e02001f27d33b3b478324ab6fba5683413b4d9
# good: [183a576d94de9a9439d580c8b81f335ab57cdbdc] source-hash-a599f5b4b51848e3b397d471c9d12b373caadcef
git bisect good 183a576d94de9a9439d580c8b81f335ab57cdbdc
# bad: [a67b874d60de1f1a44bef57a53a7b8a84db0ba58] source-hash-19f4ebd8a54da0ae03b9cc8481613e5cd20ee1e7
git bisect bad a67b874d60de1f1a44bef57a53a7b8a84db0ba58
# good: [7fd8bdb3b18f50ea0adbc0a5e611f6a844b23189] source-hash-a1ac2538e9b287444500618ab4d2f0f06c25cf34
git bisect good 7fd8bdb3b18f50ea0adbc0a5e611f6a844b23189
# first bad commit: [a67b874d60de1f1a44bef57a53a7b8a84db0ba58] source-hash-19f4ebd8a54da0ae03b9cc8481613e5cd20ee1e7
Comment 3 Deena Francis 2014-12-07 22:15:16 UTC
Submitted a patch at https://gerrit.libreoffice.org/#/c/13353/ to fix this issue.


--
Deena Francis
Affiliation : Libre Data Consultancy Services (P) Ltd.
Comment 4 Commit Notification 2014-12-11 06:58:17 UTC
Deena Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51eeb1424f2034708cc6e1ab1a4a771ce5586211

fdo#81286 : Instant updates in SUM/AVERAGE in status bar

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Mikeyy - L10n HR 2014-12-11 08:49:09 UTC
Thank you for patch. Can you please include it into 4.4 RC1?
Comment 6 Deena Francis 2014-12-11 15:00:46 UTC
(In reply to Mikeyy - L10n HR from comment #5)
> Thank you for patch. Can you please include it into 4.4 RC1?

Just created a patch for libreoffice-4-4 branch at https://gerrit.libreoffice.org/#/c/13436/
Comment 7 Commit Notification 2015-01-07 13:28:11 UTC
Deena Francis committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0b05775fa9d400fb7eab382bf2e9df98ec76999&h=libreoffice-4-4

fdo#81286 : Instant updates in SUM/AVERAGE in status bar

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Mikeyy - L10n HR 2015-01-09 10:55:13 UTC
Just downloaded 4.4 RC2 and it's fixed, thank you! Should you mark this as fixed then?
Comment 9 Robinson Tryon (qubit) 2015-12-17 08:26:38 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]